import React from 'react';
import { render } from 'react-dom';
import JsonCompare from '../lib/index.js';
import './style.css';

const oldData = {};
const newData = {
  "name": "Nik_test",
  "rules": {
    "type": "object",
    "$schema": "http://json-schema.org/draft-07/schema#",
    "properties": {
      "traits": {
        "type": "object"
      },
      "context": {},
      "properties": {
        "type": "object",
        "properties": {
          "page": {
            "id": "/properties/properties/properties/page",
            "type": "string",
            "description": "Page number"
          },
          "phone": {
            "id": "/properties/properties/properties/phone",
            "type": "string",
            "description": "Primary/Logged In Phone"
          },
          "members": {
            "id": "/properties/properties/properties/members",
            "type": "array",
            "items": {
              "id": "/properties/properties/properties/members/items",
              "type": "object",
              "required": [],
              "properties": {
                "id": {
                  "id": "/properties/properties/properties/members/items/properties/id",
                  "type": "string",
                  "description": "ID of member"
                },
                "dob": {
                  "id": "/properties/properties/properties/members/items/properties/dob",
                  "type": "string",
                  "description": "Date of birth of member"
                },
                "name": {
                  "id": "/properties/properties/properties/members/items/properties/name",
                  "type": "string",
                  "description": "Name of the member"
                },
                "uhid": {
                  "id": "/properties/properties/properties/members/items/properties/uhid",
                  "type": "object",
                  "description": ""
                },
                "phone": {
                  "id": "/properties/properties/properties/members/items/properties/phone",
                  "type": "object",
                  "description": ""
                },
                "gender": {
                  "id": "/properties/properties/properties/members/items/properties/gender",
                  "type": "string",
                  "description": "Gender"
                },
                "height": {
                  "id": "/properties/properties/properties/members/items/properties/height",
                  "type": "number",
                  "description": "Height of the member"
                },
                "weight": {
                  "id": "/properties/properties/properties/members/items/properties/weight",
                  "type": "number",
                  "description": "Weight of the member"
                },
                "relationship": {
                  "id": "/properties/properties/properties/members/items/properties/relationship",
                  "type": "string",
                  "description": "Relationship of the member"
                }
              },
              "description": ""
            },
            "description": "Members in a policy"
          },
          "nominee": {
            "id": "/properties/properties/properties/nominee",
            "type": "object",
            "required": [],
            "properties": {
              "age": {
                "id": "/properties/properties/properties/nominee/properties/age",
                "type": "string",
                "description": ""
              },
              "name": {
                "id": "/properties/properties/properties/nominee/properties/name",
                "type": "string",
                "description": ""
              },
              "phone": {
                "id": "/properties/properties/properties/nominee/properties/phone",
                "type": "string",
                "description": ""
              },
              "gender": {
                "id": "/properties/properties/properties/nominee/properties/gender",
                "type": "string",
                "description": ""
              },
              "relationship": {
                "id": "/properties/properties/properties/nominee/properties/relationship",
                "type": "string",
                "description": ""
              }
            },
            "description": "Nominee Details Object"
          },
          "mime_type": {
            "id": "/properties/properties/properties/mime_type",
            "type": "string",
            "description": "Document mime type"
          },
          "patient_name": {
            "id": "/properties/properties/properties/patient_name",
            "type": "string",
            "description": ""
          },
          "tekInfoTrigger": {
            "id": "/properties/properties/properties/tekInfoTrigger",
            "type": "boolean",
            "description": ""
          },
          "communication_phone": {
            "id": "/properties/properties/properties/communication_phone",
            "type": "string",
            "description": "Preferred communication phone number"
          },
          "selected_policy_period": {
            "id": "/properties/properties/properties/selected_policy_period",
            "type": "string",
            "description": "selected policy period"
          }
        }
      }
    }
  },
  "version": 1
};

function App() {
  return (
    <div>
      <div className="origin-data">
        <div className="old-data">
          <p className="title">😊old data:</p>
          <pre>{JSON.stringify(oldData, null, 2)}</pre>
        </div>
        <div className="new-data">
          <p className="title">😊new data:</p>
          <pre>{JSON.stringify(newData, null, 2)}</pre>
        </div>
      </div>
      <p className="title">👌The merged view:</p>
      <JsonCompare oldData={oldData} newData={newData} />
    </div>
  );
}
render(App(), document.getElementById('root'));
